nauty (2.9.3-3) unstable; urgency=medium

  * debian/gbp.conf
    - New file; set pristine-tar to True.
  * debian/rules
    - Use DEB_HOST_ARCH_CPU when determining which popcnt option to pass to
      configure; should fix builds on hurd-* and x32.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 06 Jan 2026 12:59:08 -0500

nauty (2.9.3-2) unstable; urgency=medium

  * debian/libnauty-2.9.3.symbols
    - Mark that nauty_have_popcnt only exists on amd64 and i386.
  * debian/rules
    - Only enable runtime popcnt on amd64 and i386.
    - Remove execute_before_dh_autoreconf target; upstream's aclocal.m4 is
      no longer out-of-date.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 06 Jan 2026 11:34:35 -0500

nauty (2.9.3-1) unstable; urgency=medium

  * Upload to unstable for libnauty-2.9.1 -> libnauty-2.9.3 transition.
  * Clean up packaging files with wrap-and-sort.
  * debian/control
    - Set Multi-Arch to "no" for libnauty-dev since we have conflicting
      versions of nauty.h on different architectures.
  * debian/copyright
    - Update my copyright years.
  * debian/libnauty-2.9.3.symbols
    - Add nauty_have_popcnt; added by popcnt.patch.
  * debian/libnauty-dev.install
    - Don't move header files to "nauty" subdirectory since they're now
      already installed there.
  * debian/patches/pkgincludedir.patch
    - Remove patch; no longer necessary.
  * debian/patches/popcnt.patch
    - Add Bug-Debian field.
    - Add Forwarded field ("not-needed" since Debian-specific).
  * debian/patches/unbundle-cliquer.patch
    - Add Forwarded field (recently reported on nauty mailing list).
  * debian/patches/uninitialized.patch
    - Remove patch; it didn't actually fix any compiler warnings.
  * debian/patches/upstream-fix-gt_numorbits.patch
    - Remove patch; not clear why it was necessary.
  * debian/patches/upstream-zlib-dimacs2g.patch
    - Add Forwarded field (recently reported on nauty mailing list).
  * debian/rules
    - Pass /usr/include/nauty as "includedir" to the configure script to
      simplify the installation of the header files.
    - Pass "--enable-runtime-popcnt" to the configure script; this is the
      feature added in popcnt.patch that detects whether the CPU has
      built-in population count support at runtime.  This way, we no longer
      enable this at compile time, which was resulting in a baseline
      violation on i386 (Closes: #989399).

 -- Doug Torrance <dtorrance@debian.org>  Tue, 06 Jan 2026 09:14:40 -0500

nauty (2.9.3-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Rename libnauty-2.9.1 binary package to libnauty-2.9.3.
  * Upload to experimental ahead of soversion transition.
  * debian/control
    - Drop Priority field; "optional" is now the default.
    - Bump Standards-Version to 4.7.3.
    - Drop redundant Rules-Requires-Root field.
  * debian/libnauty-2.9.3.symbols
    - Add missing Build-Depends-Package field.
  * debian/patches
    - Refresh for new upstream release.
    - Switch order of shared.patch and upstream-zlib-dimacs2g.patch to ease
      maintainability.  In particular, we won't need to worry about adding
      "-lz" in code that will later be patched.
  * debian/patches/ldflags.patch
    - Remove patch; LDFLAGS are now honored upstream.
  * debian/patches/pkgincludedir.patch
    - Remove note about upstream-autotoolization.patch, which no longer
      exists.
  * debian/patches/popcnt.patch
    - Remove stray newline at beginning of file.
  * debian/patches/shared.patch
    - Use L instead of L1 when building genquarticg so we don't redefine
      the  MAXN macro.  This is also consistent with the upstream behavior.
  * debian/rules
    - Stop appending CPPFLAGS to CC; they are now honored upstream.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 31 Dec 2025 13:33:52 -0500

nauty (2.9.1-1) unstable; urgency=medium

  * Upload to unstable for libnauty-2.8.9 -> libnauty-2.9.1 transition.
  * debian/patches/file-offset-bits.patch
    - Properly update for new release to fix build on armhf.  Previously,
      we set _FILE_OFFSET_BITS in configure.ac, but this gets overwritten
      in nauty-h.in, so we set it there instead.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 09 Dec 2025 05:51:10 -0500

nauty (2.9.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Rename libnauty-2.8.9 binary package to libnauty-2.9.1.
  * Upload to experimental ahead of soversion transition.
  * Major overhaul to the Debian packaging.  Previously, much was done in
    an extensive set of "autotoolization" patches that were difficult to
    maintain.  These patches have been removed and much of their
    functionality (renaming binaries, generating manpages, etc.) is now
    handled by debhelper.
  * debian/clean
    - Add gtools (not cleaned up by "make clean").
  * debian/control
    - Add libcliquer-dev to Depends for libnauty-dev.
  * debian/copyright
    - Remove Files-Excluded; no harm in keeping these auto-generated files,
      and also eases maintainability.
    - Update my copyright years.
  * debian/libnauty-2.9.1.symbols
    - Use Base version for all symbols.
    - Add new symbols for 2.9.1.
  * debian/libnauty-dev.install
    - Update filenames of installed libraries (e.g., libnautyA0 is now
      libnautyA).
    - Install headers to /usr/include/nauty (previously, this was handled
      using the autotoolization patches.
  * debian/libnauty-dev.links
    - New file; create symlink from libnauty.pc -> nauty.pc for backward
      compatibility.
  * debian/patches
    - Remove autotoolization patches.
      + debianization-prefix.patch
      + debianization.patch
      + upstream-C2help2man.patch
      + upstream-autotoolization.patch
    - Remove patches for issues that were fixed upstream.
      + build-flags.patch
      + fall-off.patch
      + format.patch
      + noreturn.patch
    - Refresh remaining patches for the new upstream release and modify as
      necessary the ones that depended on the autotoolization patches.
      Many of these patches were borrowed from Fedora -- thanks to Jerry
      James for doing the hard work!
  * debian/patches/ldflags.patch
    - New patch; add missing LDFLAGS when building dreadnaut tests.
  * debian/patches/shared.patch
    - New patch from Fedora; link binaries with shared libraries (which we
      used to do in the autotoolization patches).
  * debian/rules
    - Add .libs to LD_LIBRARY_PATHS so the tests can find the shared
      libraries.
    - Append CPPFLAGS to CC since upstream doesn't honor them.
    - Pass --enable-generic to configure to avoid "-march=native" flag during
      build.
    - New execute_after_dh_install-arch target; prepend nauty- to gtools
      (previously this was done in the autotoolization patches).
    - New execute_before_dh_installman-arch target; generate manpages using
      help2man (previously this was done in the autotoolization patches).
    - Update filename for dh_installchangelogs.
  * debian/source/options
    - New file; ignore changes to some files made during build.
  * debian/watch
    - Remove repack-related options.

 -- Doug Torrance <dtorrance@debian.org>  Sun, 07 Dec 2025 19:46:02 -0500

nauty (2.8.9+ds-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/patches/build-flags.patch
    - New patch; don't overwrite build flags.

 -- Doug Torrance <dtorrance@debian.org>  Sun, 08 Sep 2024 22:54:19 -0400

nauty (2.8.9+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/control
    - Rename libnauty-2.8.8 binary package to libnauty 2.8.9
  * debian/libnauty-2.8.9.*
    - Rename from libnauty-2.8.8.*.
  * debian/libnauty-2.8.9.symbols
    - Add new symbols.
    - Add missing Build-Depends-Package fields.
  * debian/patches/*
    - Refresh patches for new upstream release.
    - Update patches to build new uniqg tool.
    - Fix several autotools warnings.
  * debian/patches/unbundle-cliquer.patch
    - Fix path to cliquer header.
  * debian/patches/upstream-autotoolization.patch
    - Add new functions to nauty.map
  * debian/rules
    - New execute_before_dh_autoreconf target; run aclocal before build to
      update upstream's out-of-date aclocal.m4.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 05 Sep 2024 12:46:52 -0400

nauty (2.8.8+ds-5) unstable; urgency=medium

  * debian/control
    - Switch from pkg-config -> pkgconf in libnuaty-dev Build-Depends.
  * debian/patches/file-offset-bits.patch
    - New patch; set _FILE_OFFSET_BITS to 64 if AC_SYS_LARGEFILE returns
      "no".  Fixes build on some architectures after t64 transition.
  * debian/tests/control
    - Switch from pkg-config -> pkgconf in Depends for build-examples
      autopkgtest.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 03 Apr 2024 08:48:37 -0400

nauty (2.8.8+ds-4) unstable; urgency=medium

  * debian/control
    - Update Maintainer (now Math Team).
    - Update Vcs-* links (science-team -> math-team).
  * debian/copyright
    - Update my copyright years.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 02 Apr 2024 11:21:18 -0400

nauty (2.8.8+ds-3) unstable; urgency=medium

  * Team upload.
  * Replace libnauty2-dev with libnauty-dev in debian/tests/control
    (Closes: #1068240).
  * Replace in Build-Depends: pkg-config => pkgconf.

 -- Andrius Merkys <merkys@debian.org>  Tue, 02 Apr 2024 10:38:14 -0400

nauty (2.8.8+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Doug Torrance <dtorrance@debian.org>  Mon, 15 Jan 2024 16:31:03 -0500

nauty (2.8.8+ds-2~exp1) experimental; urgency=medium

  * Rename libnauty.so.2.8.8 -> libnauty-2.8.8.so.  The nauty_check()
    function exits if called from a reverse dependency that was built using
    an older version of nauty, causing bugs (e.g., #1057405).
    By renaming the library at every new release, we will trigger a
    transition to rebuild the reverse dependencies and avoid this issue.
    The changes listed below all deal with this.
  * debian/control
    - Rename libnauty -> libnauty-2.8.8 and update Depends for nauty and
      libnauty-dev.
    - Drop libnauty virtual package
    - Rename libnauty2-dev -> libnauty-dev, drop libnauty-dev virtual
      package, and add Conflicts for libnauty2-dev.
    - Update name of -dev package in libnauty-2.8.8's package description.
    - Update package names in nauty-doc's Enhances field.
  * debian/libnauty-2.8.8.docs
    - Rename from libnauty2.docs.
  * debian/libnauty-2.8.8.install
    - Update wildcard for .so files and rename from libnauty2.install.
  * debian/libnauty-2.2.8.lintian-overrides
    - Update and rename from libnauty2.lintian-overrides.
  * debian/libnauty-2.8.8.symbols
    - Update names of .so files and rename from libnauty2.symbols.
  * debian/libnauty-dev.install
    - Rename from libnauty2-dev.install.
    - Explicitly list .so symlinks since using wildcards would conflict
      with the actual .so files.
  * debian/patches/upstream-autotoolization.patch
    - Use -release instead of -version-info to encode version number in the
      library name.
  * debian/rules
    - Update override_dh_installdocs with new package names.
    - New execute_after_dh_install-arch target; install 128-bit integer
      libraries if they were built.

 -- Doug Torrance <dtorrance@debian.org>  Mon, 18 Dec 2023 12:15:06 -0500

nauty (2.8.8+ds-1) unstable; urgency=medium

  * New upstream release.

  [ Doug Torrance ]
  * debian/clean
    - New file; remove files generated by configure script.
  * debian/libnauty2.symbols
    - Add new symbols from latest release.
  * debian/patches
    - Refresh patches for new upstream release.
    - Update build scripts to build:
      + New tools (countneg, genktreeg, ransubg).
      + Libraries and test scripts with 128-bit integer support.
    - Remove wrong-output-for-2-vertices.patch; applied upstream.
  * debian/rules
    - Set executable bit for runalltests script.
  * debian/tests/make-check
    - Update to match latest version of upstream tests
  * debian/watch
    - Add new uversionmangle regular expression to prepend tilde before "b"
      for beta versions.

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Remove 2 obsolete maintscript entries in 2 files.
  * Update renamed lintian tag names in lintian overrides.
  * Update standards version to 4.6.2, no changes needed.

 -- Doug Torrance <dtorrance@debian.org>  Fri, 24 Nov 2023 08:22:04 -0500

nauty (2.8.6+ds-2) unstable; urgency=medium

  * debian/control
    - Bump Standards-Version to 4.6.2.
  * debian/copyright
    - Bump my copyright years.
  * debian/patches/wrong-output-for-2-vertices.patch
    - New patch; fix wrong output of gentreeg and gentourng for 2 vertices.

 -- Doug Torrance <dtorrance@debian.org>  Fri, 13 Jan 2023 08:56:09 -0500

nauty (2.8.6+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/libnauty2.symbols
    - Update with new symbols from new release.
  * debian/patches/*
    - Refresh patches for new upstream release.  Thanks to Jerry James from
      Fedora for doing all the work!
    - Add a number of new patches from Fedora:
      + upstream-zlib-dimacs2g.patch: Invoke zlib functions rather than
        calling gunzip in a subprocess.  This patch replaces
        upstream-zlib-blisstog_c.patch.
      + popcnt.patch: Enable runtime detection of popcnt-enabled CPU.
      + format.patch: Fix incorrect printf format strings.
      + uninitialized.patch: Fix uninitialized variable warnings.
      + fall-off.patch: Fix a function that can fall off the end.
      + noreturn.patch: Mark functions as noreturn to improve compiler
        diagnostics.
    - Add pkgincludedir.patch; set include directory for pkg-config; split
      from upstream-autotoolization.patch to reduce diff with Fedora's
      version of that patch.
  * debian/rules
    - Include architecture.mk from dpkg instead of setting DEB_HOST_*
      ourselves.
    - Drop override_dh_autoreconf target; it previously set the upstream
      version number for upstream-autotoolization.patch, but it's now
      hardcoded in the patch itself.  This reduces the diff with Fedora.
    - Update filename in override_dh_installchangelogs target.
  * debian/tests/make-check
    - Update genbg test to match upstream's test.
  * debian/watch
    - Allow underscores in version regex.
    - New uversionmangle rule; convert underscores to dots.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 19 Nov 2022 09:18:48 -0500

nauty (2.7r4+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Update my email address; now a Debian Developer.
    - Bump Standards-Version to 4.6.1.
  * debian/copyright
    - Add myself to copyright holders for debian/*.

 -- Doug Torrance <dtorrance@debian.org>  Fri, 01 Jul 2022 22:12:13 -0400

nauty (2.7r3+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches
    - Refresh patches.
    - Upstream now ships a pkg-config file, so we no longer need to create
      one, but still patch it.
    - Build and install new nbrhoodg tool.
  * debian/source/lintian-overrides
    - Drop debian-watch-uses-insecure-uir override; no longer applicable
      since we now use https in d/watch.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 07 Sep 2021 06:49:32 -0400

nauty (2.7r2+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 4.6.0.
  * debian/libnauty2-dev.install
    - Install gentreeg.c (Closes: #987580).
  * debian/patches
    - Refresh patches for new upstream release.
  * debian/watch
    - Use https for download URL.
    - Use special strings for regular expressions.

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 02 Sep 2021 06:16:45 -0400

nauty (2.7r1+ds-2) unstable; urgency=medium

  * Team upload.
  * Fix jessie -> testing upgrade sequence bug due to symlink to directory
    switch (Closes: #985339)

 -- Andrius Merkys <merkys@debian.org>  Thu, 25 Mar 2021 02:26:39 -0400

nauty (2.7r1+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/adhoc/examples/Makefile
    - Add rule for new callgeng example.
  * debian/compat
    - Remove file; we will use debhelper-compat instead.
  * debian/control
    - Add myself to Uploaders.
    - Add debhelper-compat to Build-Depends and bump to compatibility
      level 13.
    - Add libcliquer-dev to Build-Depends.
    - Bump to Standards-Version 4.5.0.
    - Switch to Salsa in Vcs-*.
    - Use https for Homepage.
    - Add Rules-Requires-Root field.
  * debian/copyright
    - Use https in Format and Source.
    - Update copyright years.
    - Add section for cliquer files.
  * debian/{libnauty2-dev.install,nauty-doc.examples}
    - Install source for programs which can be called from other
      programs in /usr/share/nauty and include an example
      (Closes: #860782).
  * debian/libnauty2.symbols
    - Add new symbols.
    - Add Build-Depends-Package field.
  * debian{,/source}/*lintian-overrides
    - Replace renamed tags.
  * debian/nauty-doc.doc
    - Use wildcard for User's Guide filename so the version number
      isn't hardcoded.
  * debian/nauty-doc.doc-base
    - Update location of User's Guide. After debhelper 11, the
      documentation is installed in /usr/share/doc/nauty instead of
      /usr/share/doc/nauty-doc.  We also use a wildcard in the
      filename so the version number isn't hardcoded.
  * debian/nauty{,-doc}.maintscript
    - Remove /usr/share/doc/nauty symlinks when upgrading.
  * debian/not-installed
    - New file; tell dh_missing that we're not installing the libtool
      .la files.
  * debian/patches
    - Refresh patches for new upstream version.  Special thanks to
      Jerry James, who already did most of the work for the Fedora
      package.
  * debian/patches/{debianization,upstream-autotoolization}.patch
    - Include correct paths to header files in pkg-config output.
  * debian/patches/system-preprocessing-examples.patch
    - Remove patch; no longer necessary now that we can use pkg-config
      to find the headers.
  * debian/patches/unbundle-cliquer.patch
    - Add patch from Fedora to unbundle cliquer library.
  * debian/rules
    - Update override_dh_installchangelogs target with new filename
      of changelog.
    - New override_dh_autoreconf target to inject upstream version
      number into configure.ac after quilt patches it.
    - Remove unnecessary get-orig-source target.
    - Drop dh_installdocs command creating /usr/share/doc/nauty symlink
      since it is now a directory used for the documentation from
      nauty-doc after debhelper 11.
    - Append path to cliquer headers to CPPFLAGS.
  * debian/salsa-ci.yml
    - Add Salsa pipelines config file.
  * debian/source/options
    - Remove file; was setting custom compression options that are
      discouraged by Lintian.
  * debian/tests/{build-examples,make-check}
    - Replace deprecated ADTTMP variable with AUTOPKGTEST_TMP.
  * debian/tests/build-examples
    - Update path to examples.
  * debian/tests/control
    - Remove Restrictions field; only value was needs-recommends, which
      has been deprecated.
    - Add libc6-dev to make-check Depends.
  * debian/upstream/metadata
    - Add DEP-12 metadata file.

 -- Doug Torrance <dtorrance@piedmont.edu>  Fri, 24 Jul 2020 11:53:49 -0400

nauty (2.6r10+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright, refresh;
    - debian/control:
      - debhelper, bump to 10;
      - Standards Version, bump to 4.1.1 (extra -> optional);
      - empty Build-Depends-Indep field, remove;
    - debian/rules:
      - debhelper, bump to 10;
      - refresh;
    - debian/patches/*:
      - d/p/upstream-lintian-spelling-error.patch, integrated;
      - refresh;

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 24 Nov 2017 19:42:44 +0000

nauty (2.6r7+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/patches/*:
      - d/p/upstream-lintian-spelling-error.patch, introduce (and submit);
      - d/p/upstream-autotoolization.patch, update.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 22 Aug 2016 23:20:11 +0000

nauty (2.6r6+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/control:
      - Standards Version, bump to 3.9.8;
    - debian/rules:
      - parallelization, introduce;
      - symlink policy for documentation directories, set;
      - build-arch/build-indep scheme, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 29 Jul 2016 02:14:44 +0000

nauty (2.6r5+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/patches/*:
      - d/p/upstream-autotoolization.patch, update;
    - debian/libnauty2.symbols, update;
    - debian/tests/*:
      - d/t/make-check, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 23 Apr 2016 01:36:48 +0000

nauty (2.6r3+ds-2) unstable; urgency=medium

  * FTBFS bug fix release (Closes: #819430):
    - build without TLS support on armhf architecture.
  * Debianization:
    - debian/rules:
      - dpkg-buildflags, add hardening=+all.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 28 Mar 2016 13:32:54 +0000

nauty (2.6r3+ds-1) unstable; urgency=medium

  * New upstream minor version:
    - new copyright notice, move from an ad-hoc license to Apache-2.0.
  * Debianization:
    - debian/copyright:
      - repack by using the Files-Excluded machinery instead of the ad-hoc
        script debian/repack;
      - move from non-free to main;
      - license, fellow the upstream move by adopting Apache-2.0;
    - debian/control:
      - Standards Version, bump to 3.9.7;
      - Vcs-* fileds, secure;
      - debug symbol package, drop off in favour of automatic generation;
    - debian/patches/*, refresh;
    - debian/repack, discard (see above);
    - debian/watch:
      - revisit (see above);
    - debian/rules:
      - get-orig-source target, revisit (see above);
      - debug symbol package, drop off (see above);
      - refresh;
    - debian/tests:
      - initiate;
    - debian/adhoc/examples:
      - d/a/e/build.sh, discard;
      - d/a/e/Makefile, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 19 Mar 2016 16:22:51 +0000

nauty (2.5r9+ds-1) unstable; urgency=low

  * New upstream version.
  * Debianization:
    - debian/control:
      - Vcs-Browser header field, correct.
    - debian/patches/upstream-autotoolization.patch, update.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 21 Feb 2014 04:37:00 +0000

nauty (2.5r6+ds-2) unstable; urgency=low

  * Debianization:
    - debian/control:
      - Standards Version, bump to 3.9.5;
      - XS-Autobuild field, restore to yes.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 18 Dec 2013 14:48:07 +0000

nauty (2.5r6+ds-1) unstable; urgency=low

  * New upstream version.
  * New maintainer (Closes: #725407).
  * Debianization:
    - debian/copyright:
      - refresh;
      - bump format to DEP-5 .
    - debian/control:
      - introduce the debug symbols package libnauty-dbg;
      - gather documentations (user guide and technical notes)
        into the dedicated package nauty-doc;
      - Description fields, refresh;
      - debhelper build-dep, bump to >= 9;
      - Standards Version, bump to 3.9.4;
      - Vcs-* headers, canonicalize.
    - debian/patches/ patches:
      - autotoolize from scratch to permit a full dh integration
        (Closes: #727929);
      - prepend nauty- to the name of the nauty tools;
      - bump format to DEP-3.
    - debian/watch, update;
    - debian/repack, repack script to clean up and gain weight;
    - debian/rules:
      - fully integrate dh;
      - get-orig-source uscan based target which downloads the currently
        packaged upstream tarball and repacks it;
      - default target which basically queries package status with uscan
        -- output in DEHS format;
    - debian/ man pages, now generated on fly by help2man through the
      autotools machinery.
    - debian/*:
      - propagate SONAME `current version' index change due to new ABI;
      - introduce `version script' files to consolidate the ABI;
      - explicit multi-arch support.
  * Gather headers into a dedicated folder named after the package.
  * Provide a library for each nauty `variant' wrt upstream source tarball.
  * Provide pkg-config support (only for the nauty `automatic variant').
  * Provide an ad hoc script to build (and clean) the upstream source examples.
  * Minor fixes, enhancements and full autotools support have been submitted to
    the upstream maintainers.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 26 Nov 2013 20:27:57 +0000

nauty (2.4r2-1) unstable; urgency=low

  * New upstream release
    - getline patch is now upstream.
    - Fix invariants cellinv(). cellcliq().
    - Fix i/o getecline(), writepc_sg().
  * Bump standards version to 3.9.3, no changes

 -- David Bremner <bremner@debian.org>  Fri, 23 Mar 2012 23:18:35 -0300

nauty (2.4-2) unstable; urgency=low

  * Fix depends of libnauty-dev to libnauty1d. Thanks to Jan Hauke Rahm
  for noticing.

 -- David Bremner <bremner@unb.ca>  Tue, 23 Feb 2010 06:44:50 -0400

nauty (2.4-1) unstable; urgency=low

  * New upstream version
  * Fix FTBFS (Closes: #569626), (LP: #521190).
    - Caused by getline becoming visible in stdio.h by default
    - Rename getline to gtools_getline
    - Bump soname because of changed ABI
    - Thanks to Kamal Mostafa <kamal@whence.com>, for the report and patch.
  * Update standards version to 3.8.4 (no changes)
  * Convert to source format 3.0 (quilt)

 -- David Bremner <bremner@unb.ca>  Sat, 13 Feb 2010 05:27:59 -0400

nauty (2.4~b7-2) unstable; urgency=low

  * Fix FTBFS (amd64, and probably elsewhere) of packages build-depending
    on libnauty-dev
    - add missing libnauty.so symlink to libnauty-dev (Closes: #546729)
    - add dependency on libnauty0d to libnauty-dev

 -- David Bremner <bremner@unb.ca>  Thu, 17 Sep 2009 08:40:45 -0300

nauty (2.4~b7-1) unstable; urgency=low

  * Initial release (Closes: #529094)

 -- David Bremner <bremner@unb.ca>  Wed, 05 Aug 2009 22:40:14 -0300
